net.sf.okapi.common.skeleton

## Interface ISkeletonWriter

- All Known Implementing Classes:
    GenericSkeletonWriter, SubFilterSkeletonWriter

      public interface ISkeletonWriter

  Provides the methods common to all skeleton writers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes this skeleton writer.
    `java.lang.String` | `processDocumentPart(DocumentPart resource)` Processes the DOCUMENT_PART event.
    `java.lang.String` | `processEndDocument(Ending resource)` Processes the END_DOCUMENT event.
    `java.lang.String` | `processEndGroup(Ending resource)` Processes the END_GROUP event.
    `java.lang.String` | `processEndSubDocument(Ending resource)` Processes the END_SUBDOCUMENT event.
    `java.lang.String` | `processEndSubfilter(EndSubfilter resource)`
    `java.lang.String` | `processStartDocument(LocaleId outputLocale, java.lang.String outputEncoding, ILayerProvider layer, EncoderManager encoderManager, StartDocument resource)` Processes the START_DOCUMENT event.
    `java.lang.String` | `processStartGroup(StartGroup resource)` Processes the START_GROUP event.
    `java.lang.String` | `processStartSubDocument(StartSubDocument resource)` Processes a START_SUBDOCUMENT event.
    `java.lang.String` | `processStartSubfilter(StartSubfilter resource)`
    `java.lang.String` | `processTextUnit(ITextUnit resource)` Processes the TEXT_UNIT event.

- - ### Method Detail

    - #### close

          void close()

      Closes this skeleton writer.

    - #### processStartDocument

          java.lang.String processStartDocument(LocaleId outputLocale,
                                                java.lang.String outputEncoding,
                                                ILayerProvider layer,
                                                EncoderManager encoderManager,
                                                StartDocument resource)

      Processes the START_DOCUMENT event.
      Parameters:
        `outputLocale` - the output locale.
        `outputEncoding` - the name of the output charset encoding.
        `layer` - the layer provider to use.
        `encoderManager` - the encoder manager to use.
        `resource` - the StartDocument resource associated with the event.
      Returns:
        the string output corresponding to this event.

    - #### processEndDocument

          java.lang.String processEndDocument(Ending resource)

      Processes the END_DOCUMENT event.
      Parameters:
        `resource` - the Ending resource associated with the event.
      Returns:
        the string output corresponding to this event.

    - #### processStartSubDocument

          java.lang.String processStartSubDocument(StartSubDocument resource)

      Processes a START_SUBDOCUMENT event.
      Parameters:
        `resource` - the StartSubDocument resource associated with the event.
      Returns:
        the string output corresponding to this event.

    - #### processEndSubDocument

          java.lang.String processEndSubDocument(Ending resource)

      Processes the END_SUBDOCUMENT event.
      Parameters:
        `resource` - the Ending resource associated with the event.
      Returns:
        the string output corresponding to this event.

    - #### processStartGroup

          java.lang.String processStartGroup(StartGroup resource)

      Processes the START_GROUP event.
      Parameters:
        `resource` - the StartGroup resource associated with the event.
      Returns:
        the string output corresponding to this event.

    - #### processEndGroup

          java.lang.String processEndGroup(Ending resource)

      Processes the END_GROUP event.
      Parameters:
        `resource` - the Ending resource associated with the event.
      Returns:
        the string output corresponding to this event.

    - #### processTextUnit

          java.lang.String processTextUnit(ITextUnit resource)

      Processes the TEXT_UNIT event.
      Parameters:
        `resource` - the TextUnit resource associated with the event.
      Returns:
        the string output corresponding to this event.

    - #### processDocumentPart

          java.lang.String processDocumentPart(DocumentPart resource)

      Processes the DOCUMENT_PART event.
      Parameters:
        `resource` - the DocumentPart resource associated with the event.
      Returns:
        the string output corresponding to this event.

    - #### processStartSubfilter

          java.lang.String processStartSubfilter(StartSubfilter resource)

    - #### processEndSubfilter

          java.lang.String processEndSubfilter(EndSubfilter resource)